<?php
if (!defined('ABSPATH')) exit; // Exit if accessed directly

/** @var string $field */
/** @var string $value */
/** @var string $disabled */
/** @var string $defaultLabel */
?>

    <label for="sapsfwc-logo-url"></label>
    <input type="text"
           id="sapsfwc-logo-url"
           class="sapsfwc-input"
           name="<?php echo esc_attr(SAPSFWC_OPT_SETTINGS . '[' . $field . ']'); ?>"
           value="<?php echo esc_attr($value); ?>"
            <?php echo esc_attr($disabled); ?>
    />

    <button
            type="button"
            class="button"
            id="upload_logo_button"
            data-title="<?php echo esc_attr__('Select or Upload Logo', 'simple-ajax-product-search-for-woocommerce'); ?>"
            data-button="<?php echo esc_attr__('Use this logo', 'simple-ajax-product-search-for-woocommerce'); ?>"
            <?php echo esc_attr($disabled); ?>
    >
        <?php esc_html_e('Upload Logo', 'simple-ajax-product-search-for-woocommerce'); ?>
    </button>

<?php

if (!empty($defaultLabel)) {
    echo wp_kses_post($defaultLabel);
}